﻿using System;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace GridTest2
{
    public partial class SummaryView 
    {
        private const string parentTable = "ParentTable";
        private const string childTable = "ChildTable";

        public SummaryView()
        {
            InitializeComponent();

            Load += new EventHandler(SummaryView_Load);
        }

        private void SummaryView_Load(object sender, EventArgs e)
        {
            summaryGrid.DisplayLayout.AutoFitStyle = AutoFitStyle.ExtendLastColumn;
            summaryGrid.DisplayLayout.GroupByBox.Hidden = true;
            summaryGrid.DisplayLayout.Override.RowSizing = RowSizing.AutoFixed;
            summaryGrid.DisplayLayout.Override.RowSizingAutoMaxLines = 3;
            summaryGrid.DisplayLayout.Override.CellMultiLine = DefaultableBoolean.True;
            summaryGrid.DisplayLayout.Override.ExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay;

            SetupBindings();
        }

        private void SetupBindings()
        {
            summaryGrid.DataSource = dsObjSummary;
            summaryGrid.DisplayLayout.Bands[0].ColHeadersVisible = false;
            summaryGrid.DisplayLayout.Bands[1].ColHeadersVisible = false;
        }

        private int _childIndex = -1;
        private int ChildIndex
        {
            get
            {
                _childIndex++;
                return _childIndex;
            }
        }

        public void DisplaySummary()
        {
            dsObjSummary.Tables[parentTable].Rows.Add(new object[] { 0, "Name", "test" });
            dsObjSummary.Tables[parentTable].Rows.Add(new object[] { 1, "Description", "test" });
            dsObjSummary.Tables[parentTable].Rows.Add(new object[] { 2, "Test", "Count = 1" });

            dsObjSummary.Tables[childTable].Rows.Add(new object[] {2, ChildIndex, "TestChild", "test test 78y78y7y8yy y7y978 y8 7y897 y 7y y 87y 8y7"});
            dsObjSummary.Tables[childTable].Rows.Add(new object[] {2, ChildIndex, "TestChild", "test test 78y78y7y8yy y7y978 y8 7y897 y 7y y 87 test test est est es tes tes tes test"});
            dsObjSummary.Tables[childTable].Rows.Add(new object[] {2, ChildIndex, "TestChild", "test_test_TEST_TES_TES_TES_TESTEES_ETESSTE_ETSTTSETE_TETESTTE_TEST_TEST"});
        }
    }

   
}